GET /me/likes/

List the currently authorized user's likes

Resource URL

Type URL and Format
GET https://public-api.wordpress.com/rest/v1/me/likes/

Query Parameters

Parameter Type Description
http_envelope (bool)
false:
(default)
true:
Some enviroments (like in-browser Javascript or Flash) block or divert responses with a non-200 HTTP status code. Setting this parameter will force the HTTP status code to always be 200. The JSON response is wrapped in an "envelope" containing the "real" HTTP status code and headers.
pretty (bool)
false:
(default)
true:
Output pretty JSON
callback (string) An optional JSONP callback function.

Response Parameters

Parameter Type Description
found (int) The total number of likes for this token.
likes (array) An array of likes for this token.

Example

cURL

curl \
 -H 'authorization: Bearer YOUR_API_TOKEN' \
 'https://public-api.wordpress.com/rest/v1/me/likes/?pretty=1'

PHP

<?php

$options  = array (
  'http' => 
  array (
    'ignore_errors' => true,
    'header' => 
    array (
      0 => 'authorization: Bearer YOUR_API_TOKEN',
    ),
  ),
);

$context  = stream_context_create( $options );
$response = file_get_contents(
  'https://public-api.wordpress.com/rest/v1/me/likes/?pretty=1',
  false,
  $context
);
$response = json_decode( $response );

?>

Response Body

{
			found: 2,
			likes: [
				{
					"site_id" : 1559158,
					"post_id" : 238,
					"meta" : {
						"links" : {
							"self": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/1559158\/posts\/likes\/mine\/",
							"help": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/1559158\/posts\/238\/help",
							"site": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/1559158",
							"likes": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/1559158\/posts\/238\/likes\/"
						}
					}
				},
				{
					"site_id" : 2349158,
					"post_id" : 438,
					"meta" : {
						"links" : {
							"self": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/2349158\/posts\/likes\/mine\/",
							"help": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/2349158\/posts\/438\/help",
							"site": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/2349158",
							"likes": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/2349158\/posts\/438\/likes\/"
						}
					}
				}
			]
		}